Bug 647297 - Direct IO write to a file on an nfs mount does not work
Summary: Direct IO write to a file on an nfs mount does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Steve Dickson
QA Contact: yanfu,wang
URL:
Whiteboard: Storage
: 647245 (view as bug list)
Depends On:
Blocks: 647601
TreeView+ depends on / blocked
 
Reported: 2010-10-27 19:58 UTC by Steve Dickson
Modified: 2011-01-13 21:58 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Performing a Direct IO write operation to a file on an NFS mount did not work. With this update, the minor error in the source code was fixed and the Direct IO operation works as expected.
Clone Of: 647245
Environment:
Last Closed: 2011-01-13 21:58:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Comment 1 RHEL Product and Program Management 2010-10-27 20:09:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Don Howard 2010-10-28 20:01:27 UTC
*** Bug 647245 has been marked as a duplicate of this bug. ***

Comment 6 Jarod Wilson 2010-11-01 21:00:40 UTC
in kernel-2.6.18-230.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 8 Eryu Guan 2010-11-02 03:35:49 UTC
reproduced on 2.6.18-229.el5
[root@dell-pet310-02 647601-dio-write-on-nfs]# uname -a
Linux dell-pet310-02.lab.bos.redhat.com 2.6.18-229.el5 #1 SMP Tue Oct 26 18:54:44 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
[root@dell-pet310-02 647601-dio-write-on-nfs]# mount | tail -1
localhost:/home on /root/647601-dio-write-on-nfs/nfs type nfs (rw,addr=127.0.0.1)
[root@dell-pet310-02 647601-dio-write-on-nfs]# ./reproducer /root/647601-dio-write-on-nfs/nfs/testfile
Could not write to file (12) Cannot allocate memory
[root@dell-pet310-02 647601-dio-write-on-nfs]# echo $?
12
[root@dell-pet310-02 647601-dio-write-on-nfs]#

verified on 2.6.18-230.el5
[root@dell-pet310-02 647601-dio-write-on-nfs]# uname -a
Linux dell-pet310-02.lab.bos.redhat.com 2.6.18-230.el5 #1 SMP Thu Oct 28 17:09:10 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
[root@dell-pet310-02 647601-dio-write-on-nfs]# mount | tail -1
localhost:/home on /root/647601-dio-write-on-nfs/nfs type nfs (rw,addr=127.0.0.1)
[root@dell-pet310-02 647601-dio-write-on-nfs]# ./reproducer /root/647601-dio-write-on-nfs/nfs/testfile
[root@dell-pet310-02 647601-dio-write-on-nfs]# echo $?
0
[root@dell-pet310-02 647601-dio-write-on-nfs]#

verified on x86_64 and i386

Comment 9 Martin Prpič 2010-11-11 14:09:12 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Performing a Direct IO write operation to a file on an NFS mount did not work. With this update, the minor error in the source code was fixed and the Direct IO operation works as expected.

Comment 11 errata-xmlrpc 2011-01-13 21:58:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.